## ros-humble-rmw-fastrtps-cpp 6.2.3

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(SECURITY)
  find_package(OpenSSL REQUIRED)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw_dds_common REQUIRED)
find_package(rmw_fastrtps_shared_cpp REQUIRED)
find_package(tracetools REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps 2.3 REQUIRED CONFIG)
find_package(FastRTPS 2.3 REQUIRED MODULE)

find_package(rmw REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_cpp REQUIRED)

include_directories(include)

add_library(rmw_fastrtps_cpp
  src/get_client.cpp
  src/get_participant.cpp
  src/get_publisher.cpp
  src/get_service.cpp
  src/get_subscriber.cpp
  src/identifier.cpp
  src/init_rmw_context_impl.cpp
  src/publisher.cpp
  src/rmw_logging.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_features.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_qos.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/serialization_format.cpp
  src/subscription.cpp
  src/type_support_common.cpp
  src/rmw_get_endpoint_network_flow.cpp
)
target_link_libraries(rmw_fastrtps_cpp
  fastcdr fastrtps)

# specific order: dependents before dependencies
ament_target_dependencies(rmw_fastrtps_cpp
  "rcpputils"
  "rcutils"
  "rosidl_typesupport_fastrtps_c"
  "rosidl_typesupport_fastrtps_cpp"
  "rmw_dds_common"
  "rmw_fastrtps_shared_cpp"
  "rmw"
  "rosidl_runtime_c"
  "tracetools"
)

target_link_libraries(rmw_fastrtps_cpp
  ${rmw_dds_common_LIBRARIES__rosidl_typesupport_fastrtps_cpp}
)

configure_rmw_library(rmw_fastrtps_cpp)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
PRIVATE "RMW_FASTRTPS_CPP_BUILDING_LIBRARY")

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(rmw_fastrtps_cpp)

# specific order: dependents before dependencies
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rmw_dds_common)
ament_export_dependencies(rmw_fastrtps_shared_cpp)
ament_export_dependencies(rosidl_runtime_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_cpp)
ament_export_dependencies(tracetools)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_fastrtps_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_fastrtps_cpp:rosidl_typesupport_introspection_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  find_package(test_msgs REQUIRED)

  ament_add_gtest(test_get_native_entities
    test/test_get_native_entities.cpp)
  ament_target_dependencies(test_get_native_entities
    osrf_testing_tools_cpp rcutils rmw test_msgs
  )
  target_link_libraries(test_get_native_entities rmw_fastrtps_cpp)

  ament_add_gtest(test_logging test/test_logging.cpp)
  ament_target_dependencies(test_logging rmw)
  target_link_libraries(test_logging rmw_fastrtps_cpp)
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_fastrtps_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(
  TARGETS rmw_fastrtps_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-humble-rmw-fastrtps-cpp (6.2.3-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.2-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (backport #619 <https://github.com/ros2/rmw_fastrtps/issues/619>) (#633 <https://github.com/ros2/rmw_fastrtps/issues/633>)
  * Allow null arguments in the EventsExecutor parameters (#605 <https://github.com/ros2/rmw_fastrtps/issues/605>)
  * Contributors: Jose Luis Rivero, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.1-1jammy) jammy; urgency=high

  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Removed some heap interactions in rmw_serialize.cpp (#590 <https://github.com/ros2/rmw_fastrtps/issues/590>)
  * Contributors: Chen Lihui, Christophe Bedard, Ivan Santiago Paunovic, WideAwakeTN

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.2-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.1-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.0.0-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.2-1jammy) jammy; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.1-1jammy) jammy; urgency=high

  * Change links from index.ros.org -> docs.ros.org (#539 <https://github.com/ros2/rmw_fastrtps/issues/539>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 30 Jun 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.1.0-1jammy) jammy; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 May 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.0.0-1jammy) jammy; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.5.0-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.4.0-1jammy) jammy; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Contributors: Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Mar 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.3.0-1jammy) jammy; urgency=high

  * Load profiles based on topic names (#335 <https://github.com/ros2/rmw_fastrtps/issues/335>)
  * Set rmw_dds_common::GraphCache callback after init succeeds. (#496 <https://github.com/ros2/rmw_fastrtps/issues/496>)
  * Handle typesupport errors on fetch. (#495 <https://github.com/ros2/rmw_fastrtps/issues/495>)
  * Contributors: Eduardo Ponz Segrelles, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.2.0-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Dec 2020 00:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.1.0-1jammy) jammy; urgency=high

  * Check for correct context shutdown (#486 <https://github.com/ros2/rmw_fastrtps/issues/486>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-fastrtps-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rmw-fastrtps-cpp 6.2.6

=== debian/changelog ===
ros-humble-rmw-fastrtps-cpp (6.2.6-1bookworm) bookworm; urgency=high

  * Capture std::bad_alloc on deserializeROSmessage. (#665 <https://github.com/ros2/rmw_fastrtps/issues/665>) (#737 <https://github.com/ros2/rmw_fastrtps/issues/737>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.5-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.4-1bookworm) bookworm; urgency=high

  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>) (#651 <https://github.com/ros2/rmw_fastrtps/issues/651>)
  * update fast-dds version into 2.6.2. (#702 <https://github.com/ros2/rmw_fastrtps/issues/702>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.3-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.2-1bookworm) bookworm; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (backport #619 <https://github.com/ros2/rmw_fastrtps/issues/619>) (#633 <https://github.com/ros2/rmw_fastrtps/issues/633>)
  * Allow null arguments in the EventsExecutor parameters (#605 <https://github.com/ros2/rmw_fastrtps/issues/605>)
  * Contributors: Jose Luis Rivero, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.1-1bookworm) bookworm; urgency=high

  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Removed some heap interactions in rmw_serialize.cpp (#590 <https://github.com/ros2/rmw_fastrtps/issues/590>)
  * Contributors: Chen Lihui, Christophe Bedard, Ivan Santiago Paunovic, WideAwakeTN

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.2.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.2-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.1-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.1.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (6.0.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.2-1bookworm) bookworm; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 08 Aug 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.1-1bookworm) bookworm; urgency=high

  * Change links from index.ros.org -> docs.ros.org (#539 <https://github.com/ros2/rmw_fastrtps/issues/539>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.2.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.1.0-1bookworm) bookworm; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 11 May 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (5.0.0-1bookworm) bookworm; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.5.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-cpp (4.4.0-1bookworm) bookworm; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)


=== debian/control ===
Source: ros-humble-rmw-fastrtps-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-fastcdr, ros-humble-fastrtps, ros-humble-fastrtps-cmake-module, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-dds-common, ros-humble-rmw-fastrtps-shared-cpp, ros-humble-rosidl-cmake, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp, ros-humble-test-msgs <!nocheck>, ros-humble-tracetools, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-fastrtps-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-fastcdr, ros-humble-fastrtps, ros-humble-fastrtps-cmake-module, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-dds-common, ros-humble-rmw-fastrtps-shared-cpp, ros-humble-rosidl-cmake, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp, ros-humble-tracetools, ros-humble-ros-workspace
Description: Implement the ROS middleware interface using eProsima FastRTPS static code generation in C++.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-fastrtps-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-fastrtps-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmw-fastrtps-cpp//opt/ros/humble/opt/rmw_fastrtps_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-rmw-fastrtps-cpp 6.2.7

=== debian/changelog ===
ros-humble-rmw-fastrtps-cpp (6.2.7-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 25 Jul 2024 16:00:00 -0000
